Billing component now compatible with Joomla! 3We have just released an update for cciDEAL Platform that supports Joomla! 2.5 and Joomla! 3.x. We have also updated the plugins for Akeeba Subscriptions, HikaShop and RSForm Pro, as those are the most popular extensions used with cciDEAL that support Joomla! 3.x.

We are working on new plugins for RSEvents Pro and our own iDEAL content plugin. We will continue adding support for Joomla! 3.x to other payment plugins as soon as those extensions support Joomla! 3. We will also continue applying the new Bootstrap interface elements to cciDEAL Platform. 

 

cciDEAL Platform information   Download   Manual

 

iDEAL and Joomla! 3.x

Here are a few ideas of what you can now do with iDEAL and Joomla! 3.x:

Read more about these extensions on the cciDEAL page. Or learn why we think Joomla! 3.x is a great CMS, and visit the official Joomla! 3.x launch page. Download the latest version of Joomla! 3.x. View a video about Joomla! 3.1 with the new tags feature. 

Why did it take so long?

The release of the Joomla! 3 version of cciDEAL Platform took way to long, I agree. Most of our customers are used to quick compatibility updates for new Joomla! versions. The delay was due to a few large setbacks with other projects. I see this as a one-time issue and I will make sure we are a lot faster with future compatibility updates. We will give updates like this a higher priority in our future planning and start working on them earlier. 

cciDEAL Platform for Joomla! 3

What about iDEAL 3?

This version of cciDEAL Platform also supports iDEAL 3, just like the previous 2.8.x version did. If you are installing cciDEAL Platform on a new website, just follow the regular manual. If you need to update an old website to iDEAL 3, read more about iDEAL 3 and Joomla! here. 

We will also start a actively informing our customers about iDEAL 3, as it seems the warnings sent by the ING and Rabobank banks are not always received or taken seriously. You can also expect a blog post about iDEAL 3 to be online soon. 

What about Joomla! 1.5 support?

For most of our extensions we have ended Joomla! 1.5 support. There are still a lot of webshops on Joomla! 1.5 that need to start using iDEAL 3 and can not migrate to Joomla! 2.5 or 3.x before the summer. Therefor we have extended (basic) support for Joomla! 1.5 in cciDEAL Platform 3.x for existing customers. For specific information on what this means for you please send a support email

 

cciDEAL - iDEAL for Joomla! 3